org.keycloak.dom.saml.v2.metadata

## Class RoleDescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

- Direct Known Subclasses:
    AttributeAuthorityDescriptorType, AuthnAuthorityDescriptorType, PDPDescriptorType, SSODescriptorType

      public abstract class RoleDescriptorType
      extends TypeWithOtherAttributes

  Java class for RoleDescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RoleDescriptorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Extensions" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}KeyDescriptor" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Organization" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}ContactPerson" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="validUntil" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="cacheDuration" type="{http://www.w3.org/2001/XMLSchema}duration" />
             <attribute name="protocolSupportEnumeration" use="required" type="{urn:oasis:names:tc:SAML:2.0:metadata}anyURIListType"
       />
             <attribute name="errorURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Duration` | `cacheDuration`
    `protected List<ContactType>` | `contactPerson`
    `protected String` | `errorURL`
    `protected ExtensionsType` | `extensions`
    `protected String` | `id`
    `protected List<KeyDescriptorType>` | `keyDescriptor`
    `protected OrganizationType` | `organization`
    `protected List<String>` | `protocolSupportEnumeration`
    `protected Element` | `signature`
    `protected XMLGregorianCalendar` | `validUntil`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleDescriptorType(List<String> protocolSupport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContactPerson(ContactType contact)` Add contact
    `void` | `addKeyDescriptor(KeyDescriptorType keyD)` Add key descriptor
    `Duration` | `getCacheDuration()` Gets the value of the cacheDuration property.
    `List<ContactType>` | `getContactPerson()` Gets the value of the contactPerson property.
    `String` | `getErrorURL()` Gets the value of the errorURL property.
    `ExtensionsType` | `getExtensions()` Gets the value of the extensions property.
    `String` | `getID()` Gets the value of the id property.
    `List<KeyDescriptorType>` | `getKeyDescriptor()` Gets the value of the keyDescriptor property.
    `OrganizationType` | `getOrganization()` Gets the value of the organization property.
    `List<String>` | `getProtocolSupportEnumeration()` Gets the value of the protocolSupportEnumeration property.
    `Element` | `getSignature()` Gets the value of the signature property.
    `XMLGregorianCalendar` | `getValidUntil()` Gets the value of the validUntil property.
    `void` | `removeContactPerson(ContactType contact)` remove contact
    `void` | `removeKeyDescriptor(KeyDescriptorType keyD)` remove key descriptor
    `void` | `setCacheDuration(Duration value)` Sets the value of the cacheDuration property.
    `void` | `setErrorURL(String value)` Sets the value of the errorURL property.
    `void` | `setExtensions(ExtensionsType value)` Sets the value of the extensions property.
    `void` | `setID(String value)` Sets the value of the id property.
    `void` | `setOrganization(OrganizationType value)` Sets the value of the organization property.
    `void` | `setSignature(Element value)` Sets the value of the signature property.
    `void` | `setValidUntil(XMLGregorianCalendar value)` Sets the value of the validUntil property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signature

          protected Element signature

    - #### extensions

          protected ExtensionsType extensions

    - #### keyDescriptor

          protected List<KeyDescriptorType> keyDescriptor

    - #### organization

          protected OrganizationType organization

    - #### contactPerson

          protected List<ContactType> contactPerson

    - #### id

          protected String id

    - #### validUntil

          protected XMLGregorianCalendar validUntil

    - #### cacheDuration

          protected Duration cacheDuration

    - #### protocolSupportEnumeration

          protected List<String> protocolSupportEnumeration

    - #### errorURL

          protected String errorURL

  - ### Constructor Detail

    - #### RoleDescriptorType

          public RoleDescriptorType(List<String> protocolSupport)

  - ### Method Detail

    - #### addKeyDescriptor

          public void addKeyDescriptor(KeyDescriptorType keyD)

      Add key descriptor
      Parameters:
        `keyD` -

    - #### addContactPerson

          public void addContactPerson(ContactType contact)

      Add contact
      Parameters:
        `contact` -

    - #### removeKeyDescriptor

          public void removeKeyDescriptor(KeyDescriptorType keyD)

      remove key descriptor
      Parameters:
        `keyD` -

    - #### removeContactPerson

          public void removeContactPerson(ContactType contact)

      remove contact
      Parameters:
        `contact` -

    - #### getSignature

          public Element getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `SignatureType`

    - #### setSignature

          public void setSignature(Element value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `SignatureType`

    - #### getExtensions

          public ExtensionsType getExtensions()

      Gets the value of the extensions property.
      Returns:
        possible object is `ExtensionsType`

    - #### setExtensions

          public void setExtensions(ExtensionsType value)

      Sets the value of the extensions property.
      Parameters:
        `value` - allowed object is `ExtensionsType`

    - #### getKeyDescriptor

          public List<KeyDescriptorType> getKeyDescriptor()

      Gets the value of the keyDescriptor property.

      Objects of the following type(s) are allowed in the list `KeyDescriptorType`

    - #### getOrganization

          public OrganizationType getOrganization()

      Gets the value of the organization property.
      Returns:
        possible object is `OrganizationType`

    - #### setOrganization

          public void setOrganization(OrganizationType value)

      Sets the value of the organization property.
      Parameters:
        `value` - allowed object is `OrganizationType`

    - #### getContactPerson

          public List<ContactType> getContactPerson()

      Gets the value of the contactPerson property.

      Objects of the following type(s) are allowed in the list `ContactType`

    - #### getID

          public String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValidUntil

          public XMLGregorianCalendar getValidUntil()

      Gets the value of the validUntil property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setValidUntil

          public void setValidUntil(XMLGregorianCalendar value)

      Sets the value of the validUntil property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getCacheDuration

          public Duration getCacheDuration()

      Gets the value of the cacheDuration property.
      Returns:
        possible object is `Duration`

    - #### setCacheDuration

          public void setCacheDuration(Duration value)

      Sets the value of the cacheDuration property.
      Parameters:
        `value` - allowed object is `Duration`

    - #### getProtocolSupportEnumeration

          public List<String> getProtocolSupportEnumeration()

      Gets the value of the protocolSupportEnumeration property.

      Objects of the following type(s) are allowed in the list `String`

    - #### getErrorURL

          public String getErrorURL()

      Gets the value of the errorURL property.
      Returns:
        possible object is `String`

    - #### setErrorURL

          public void setErrorURL(String value)

      Sets the value of the errorURL property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.